<?php
include('../include/session.php');
date_default_timezone_set('Africa/Gaborone');
$entry_date = date("Y-m-d H:i:s", time()); 

$report_no = $_GET['report_no'];
$table_name = $_SESSION['db_prefix']."_alerts";
	$alert_query = "SELECT user_name, send_alert, send_email FROM $table_name WHERE alert_name = 'Wet tiles inspection' ";
	$alert_result = mySQL_query($alert_query);
	$alert_num = mysql_num_rows($alert_result);
			
	$i=0;
	$email_address = '';
	while ($i<$alert_num) {
		$user_name = mysql_result($alert_result, $i, "user_name");
		$send_alert = mysql_result($alert_result, $i, "send_alert");
		$send_email = mysql_result($alert_result, $i, "send_email");
		
		if ($send_alert=='yes') {
			$table_name = $_SESSION['db_prefix']."_alerts_quality";
			$message_query = "INSERT INTO $table_name (user_name, department, generated, alert, detail_1, detail_2 ) VALUES ('".$user_name."', 'quality', '".$entry_date."', '11', '".$report_no."', '' ) ";
			execsql($message_query);
		}
		
		
		if ($send_email=='yes') {
			$table_name = $_SESSION['db_prefix']."_users";
			$address_query = "SELECT email FROM $table_name WHERE username = '".$user_name."' ";
			$address_result = mySQL_query($address_query);
			$email_address = mysql_result($address_result, 0, "email").', '.$email_address;
		}
	$i++;	
	}

		
if ($email_address!='') {			
			$subject = 'Wet tile inspection.';
			$message = '<body><font face=Calibri size=3>Wet tiles inspection no <b>'.$report_no.'</b> requires approval.</font><br><br>For more info, login at <a href=costing.tocotex.com/bypass.php?c=nmb&a=wet_request&r='.$report_no.'&e=>Radstone Namibia Management Program</a>.<br><br><font face=Calibri size=3 color=red><b>This message comes from a non-responsive address, please do not reply</b></font><body>';
			include ('alert_to_email.php');
		}
			
?>

<script>
	  window.location="../quality/wet_tile_inspection_sheet.php?report_no=<?php echo $report_no ?>&approve=5";
</script>